Bug 250342 - Review Request: perl-Astro-FITS-CFITSIO - Perl extension for using the cfitsio library
Review Request: perl-Astro-FITS-CFITSIO - Perl extension for using the cfitsi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 18:34 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-02 13:48:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-07-31 18:34:17 EDT
Spec URL: http://www.cora.nwra.com/~orion/fedora/perl-Astro-FITS-CFITSIO.spec
SRPM URL:
http://www.cora.nwra.com/~orion/fedora/perl-Astro-FITS-CFITSIO-1.05-1.src.rpm
Description:
Perl interface to William Pence's cfitsio subroutine library. For more
information on cfitsio, see http://heasarc.gsfc.nasa.gov/fitsio.
Comment 1 Jason Tibbitts 2007-08-01 18:23:11 EDT
This one is pretty simple as well.  The only question I have is why you don't
package up the examples as documentation.  But that's really up to you.

* source files match upstream:
   bbeb6fd3b17b290842a88a8179c2526abae21fa67172295385a742b51bbfab70  
   Astro-FITS-CFITSIO-1.05.tar.gz
* package meets naming and versioning guidelines (ugly caps and all)
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   CFITSIO.so()(64bit)
   perl(Astro::FITS::CFITSIO) = 1.05
   perl-Astro-FITS-CFITSIO = 1.05-1.fc8
  =
   libcfitsio.so.0()(64bit)
   perl(:MODULE_COMPAT_5.8.8)
   perl(AutoLoader)
   perl(Carp)
   perl(DynaLoader)
   perl(Exporter)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   149 / 149 tests passed (100.0%)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

APPROVED
Comment 2 Orion Poplawski 2007-08-02 11:43:08 EDT
Added examples to %doc

Thanks for the review!

New Package CVS Request
=======================
Package Name: perl-Astro-FITS-CFITSIO
Short Description: Perl extension for using the cfitsio library
Owners: orion@cora.nwra.com
Branches: F-7 FC-6 EL-5 EL-4
InitialCC: 
Comment 3 Kevin Fenzi 2007-08-02 12:48:01 EDT
cvs done.
Comment 4 Orion Poplawski 2007-08-02 13:48:36 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.